Property RecordsAsk AIget https://api.rentcast.io/v1/propertiesSearch for property records in a geographical area, or by a specific address.Query ParamsaddressstringDefaults to 5500 Grand Lake Dr, San Antonio, TX, 78244The full address of the property, in the format Street, City, State, Zip. Used to retrieve data for a specific property, or together with the radius parameter to search for properties in a circular areacitystringThe name of the city, used to search for properties in a specific city. This parameter is case-sensitivestatestringThe 2-character state abbreviation, used to search for properties in a specific state. This parameter is case-sensitivezipCodestringThe 5-digit zip code, used to search for properties in a specific zip codelatitudefloatThe latitude of the search area. Use the latitude/longitude and radius parameters to search for properties in a circular arealongitudefloatThe longitude of the search area. Use the latitude/longitude and radius parameters to search for properties in a circular arearadiusfloatThe radius of the search area in miles, with a maximum of 100. Use in combination with the latitude/longitude or address parameters to search for properties in a circular areapropertyTypestringenumThe type of the property, used to search for properties matching this criteria. See explanation of property types. Supports multiple valuesSingle FamilyCondoTownhouseManufacturedMulti-FamilyApartmentLandAllowed:Single FamilyCondoTownhouseManufacturedMulti-FamilyApartmentLandbedroomsstringThe number of bedrooms, used to search for properties matching this criteria. Use 0 to indicate a studio layout. Supports numeric ranges and multiple valuesbathroomsstringThe number of bathrooms, used to search for properties matching this criteria. Supports fractions to indicate partial bathrooms, numeric ranges and multiple valuessquareFootagestringThe total living area size in square feet, used to search for properties matching this criteria. Supports numeric ranges and multiple valueslotSizestringThe total lot size in square feet, used to search for properties matching this criteria. Supports numeric ranges and multiple valuesyearBuiltstringThe year of construction, used to search for properties matching this criteria. Supports numeric ranges and multiple valuessaleDateRangestringThe number of days since a property was last sold, with a minimum of 1. Used to search for properties that were sold within the specified date range. Supports numeric rangeslimitint32The maximum number of property records to return, between 1 and 500. Defaults to 50 if not provided. Learn more about paginationoffsetint32The index of the first property record to return, used to paginate through large lists of results. Defaults to 0 if not provided. Learn more about paginationincludeTotalCountbooleanWhen enabled, will return the total number of results matching the current query in the X-Total-Count response header. Defaults to false if not providedtruefalseResponses 200Success 401Auth ErrorUpdated 4 months ago